Wireshark-dev: [Wireshark-dev] wireshark 0.99.6 version crashes on Windows XP
From: "Nandkumar Narel" <[email protected]>
Date: Fri, 23 Nov 2007 16:43:36 +0530
Hi,
I have built the wireshark from  0.99.6 on Windows XP and created installer.
When I launch the wireshark application and start the capture, it crashes after capturing few messages.
[Window pops up saying "Wireshark has encountered a problem and needs to close. We are sorry for the inconvenience." Typically like any other application that crashes on Microsoft OS]
This happens in the 0.99.6 version without any changes to the original sources.
 
Is there a fix available to make 0.99.6 release to work without crash.?
 
My requirement is to add a new dissector to a 0.99.6(latest) release and create installer.
 
 
 
Build  and Platform details:
========================================================
Version 0.99.6
 
Copyright 1998-2007 Gerald Combs <[email protected]> and contributors.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 
Compiled with GTK+ 2.10.12, with GLib 2.12.12, with WinPcap (version unknown),
with libz 1.2.3, with libpcre 6.4, with Net-SNMP 5.4, with ADNS, with Lua 5.1,
with GnuTLS 1.6.1, with Gcrypt 1.2.3, with MIT Kerberos, with PortAudio
PortAudio V19-devel, with AirPcap.
 
Running on Windows XP Service Pack 2, build 2600, with WinPcap version 4.0
(packet.dll version 4.0.0.755), based on libpcap version 0.9.5, without AirPcap.
 
Built using Microsoft Visual C++ 8.0 build 50727
========================================================
 
 
Appreciate your help on this, thanks.
 
Nandkumar